apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: elk-crd
  namespace: argocd
  annotations:
    argocd.argoproj.io/sync-wave: "-6"
  finalizers:
    - resources-finalizer.argocd.argoproj.io
spec:
  # Where we are deploying to
  destination:
    namespace: elastic-system
    server: https://kubernetes.default.svc
  # Which project this Application belongs to
  project: default
  # Where this Application has its source
  source:
    # Helm specifc values
    chart: eck-operator-crds
    repoURL: https://helm.elastic.co
    targetRevision: 2.0.0-SNAPSHOT
#    helm:
#      parameters:
#        - name: "createCustomResource"
#          value: "false"
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
      allowEmpty: true
    syncOptions:
      - CreateNamespace=true
      - Validate=false
